<?php
/**
 * The template part for displaying grid layout
 * @package Multipurpose Lawyer
 * @subpackage multipurpose_lawyer
 * @since 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?> 
<div class="col-lg-4 col-md-4">
  <article class="blog-sec p-2 mb-4">
    <?php if(has_post_thumbnail() && get_theme_mod('multipurpose_lawyer_featured_image',true) == true) { ?>
      <div class="mainimage">    
        <?php the_post_thumbnail(); ?>      
      </div>
    <?php }?>
    <h2 class="pt-0"><a href="<?php echo esc_url(get_permalink() ); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
    <?php if(get_the_excerpt()) { ?>
      <div class="entry-content"><p><?php $multipurpose_lawyer_excerpt = get_the_excerpt(); echo esc_html( multipurpose_lawyer_string_limit_words( $multipurpose_lawyer_excerpt, esc_attr(get_theme_mod('multipurpose_lawyer_post_excerpt_number','20')))); ?> <?php echo esc_html( get_theme_mod('multipurpose_lawyer_button_excerpt_suffix','...') ); ?></p></div>
    <?php }?>
    <?php if ( get_theme_mod('multipurpose_lawyer_blog_button_text','Read Full') != '' ) {?>
      <div class="blogbtn my-2">
        <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small"><?php echo esc_html( get_theme_mod('multipurpose_lawyer_blog_button_text',__('Read Full', 'multipurpose-lawyer')) ); ?><span class="screen-reader-text"><?php echo esc_html( get_theme_mod('multipurpose_lawyer_blog_button_text',__('Read Full', 'multipurpose-lawyer')) ); ?></span></a>
      </div>
    <?php }?>
  </article>
</div>